Bug 410641 - add full argument list .note section to corefile
add full argument list .note section to corefile
Status: CLOSED DUPLICATE of bug 410871
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks: 173278
  Show dependency treegraph
 
Reported: 2007-12-04 11:44 EST by Andrew Cagney
Modified: 2008-11-17 12:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 12:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2007-12-04 11:44:27 EST
The argument list contained in the corefile is truncated to ~80 characters (and
isn't even correctly separated).  This makes identifying a correct core file's
arguments (and re-starting the executable) impossible.

Suggest writing out the full original argument list to a separate .note section.
Comment 1 Neil Horman 2008-08-05 12:30:20 EDT
with 5.3 you should be able to use proc/sys/kernel/core_pattern to interrogate /proc/<pid>cmdline for a processes command line arguments.

Note You need to log in before you can comment on or make changes to this bug.